> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Appointment Definition Staff

> A `PUT` to the `/appointment-definitions/{appointmentDefinitionId}/staff/{definitionStaffId}` endpoint allows your application to update a specific appointment definition staff assignment.



## OpenAPI

````yaml put /v3/appointment-definitions/{appointmentDefinition}/staff/{definitionStaff}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/appointment-definitions/{appointmentDefinition}/staff/{definitionStaff}:
    put:
      tags:
        - Appointment Definition Staff
      summary: Update Appointment Definition Staff
      description: >-
        A `PUT` to the
        `/appointment-definitions/{appointmentDefinitionId}/staff/{definitionStaffId}`
        endpoint allows your application to update a specific appointment
        definition staff assignment.
      operationId: appointment-definitions.staff.update
      parameters:
        - name: appointmentDefinition
          in: path
          required: true
          description: The appointment definition ID
          schema:
            type: integer
        - name: definitionStaff
          in: path
          required: true
          description: The definition staff ID
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAppointmentDefinitionStaff'
      responses:
        '200':
          description: '`AppointmentDefinitionStaff`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/AppointmentDefinitionStaff'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    UpdateAppointmentDefinitionStaff:
      type: object
      properties:
        is_active:
          type: boolean
      title: UpdateAppointmentDefinitionStaff
    AppointmentDefinitionStaff:
      type: object
      properties:
        id:
          type: integer
        appointment_definition_id:
          type: integer
        staff_id:
          type: string
        is_active:
          type: boolean
        staff:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            first_name:
              type:
                - string
                - 'null'
            last_name:
              type:
                - string
                - 'null'
            email:
              type: string
            mobile_phone:
              type:
                - string
                - 'null'
            normal_hours:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                  day_of_week:
                    type: string
                  available_from:
                    type: string
                  available_until:
                    type: string
                  is_closed:
                    type: string
                required:
                  - id
                  - day_of_week
                  - available_from
                  - available_until
                  - is_closed
            special_hours:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  is_repeating:
                    type: string
                  available_from:
                    type: string
                  available_until:
                    type: string
                  start_at:
                    type: string
                  end_at:
                    type: string
                required:
                  - id
                  - name
                  - is_repeating
                  - available_from
                  - available_until
                  - start_at
                  - end_at
          required:
            - id
            - first_name
            - last_name
            - email
            - mobile_phone
            - normal_hours
            - special_hours
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - appointment_definition_id
        - staff_id
        - is_active
        - staff
        - created_at
        - updated_at
      title: AppointmentDefinitionStaff
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````